Package org.wso2.carbon.deployment.synchronizer.git

## Class SingleTenantGitRepositoryManager

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.RepositoryManager
  - - org.wso2.carbon.deployment.synchronizer.git.DefaultGitRepositoryManager
    - - org.wso2.carbon.deployment.synchronizer.git.SingleTenantGitRepositoryManager

-     public class SingleTenantGitRepositoryManager
      extends DefaultGitRepositoryManager

  Use a single repository - should be used for non-multitenant mode deployments

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.deployment.synchronizer.git.DefaultGitRepositoryManager

      `gitServerAdminPassword, gitServerAdminUserName, gitServerUrl`

    - ### Fields inherited from class org.wso2.carbon.deployment.synchronizer.RepositoryManager

      `repositoryCreator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleTenantGitRepositoryManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `provisionRepository​(int tenantId)` |

    - ### Methods inherited from class org.wso2.carbon.deployment.synchronizer.git.DefaultGitRepositoryManager

      `addRepository, getCredentialsInformation, getUrlInformation`

    - ### Methods inherited from class org.wso2.carbon.deployment.synchronizer.RepositoryManager

      `setRepositoryCreator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleTenantGitRepositoryManager

          public SingleTenantGitRepositoryManager()

  - ### Method Detail

    - #### provisionRepository

          public void provisionRepository​(int tenantId)
                                   throws org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException

      Overrides:
        `provisionRepository` in class `DefaultGitRepositoryManager`
      Throws:
        `org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException`